/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.pdf.form.valueobject;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * PDF フォーム・テキスト・バリューオブジェクト。
 */
@XmlRootElement
public class BlancoPdfFormTextDef {
    /**
     * PDF unit。72 PDF unit = 1 インチ。
     *
     * フィールド: [x]。
     * デフォルト: [-1]。
     */
    private float fX = -1;

    /**
     * PDF unit。72 PDF unit = 1 インチ。
     *
     * フィールド: [y]。
     * デフォルト: [-1]。
     */
    private float fY = -1;

    /**
     * 文字の値。
     *
     * フィールド: [value]。
     */
    private String fValue;

    /**
     * フォント名。
     *
     * フィールド: [font]。
     * デフォルト: ["gothic"]。
     */
    private String fFont = "gothic";

    /**
     * フォントサイズ。
     *
     * フィールド: [fontSize]。
     * デフォルト: [12]。
     */
    private int fFontSize = 12;

    /**
     * フィールド [x] の値を設定します。
     *
     * フィールドの説明: [PDF unit。72 PDF unit = 1 インチ。]。
     *
     * @param argX フィールド[x]に設定する値。
     */
    public void setX(final float argX) {
        fX = argX;
    }

    /**
     * フィールド [x] の値を取得します。
     *
     * フィールドの説明: [PDF unit。72 PDF unit = 1 インチ。]。
     * デフォルト: [-1]。
     *
     * @return フィールド[x]から取得した値。
     */
    public float getX() {
        return fX;
    }

    /**
     * フィールド [y] の値を設定します。
     *
     * フィールドの説明: [PDF unit。72 PDF unit = 1 インチ。]。
     *
     * @param argY フィールド[y]に設定する値。
     */
    public void setY(final float argY) {
        fY = argY;
    }

    /**
     * フィールド [y] の値を取得します。
     *
     * フィールドの説明: [PDF unit。72 PDF unit = 1 インチ。]。
     * デフォルト: [-1]。
     *
     * @return フィールド[y]から取得した値。
     */
    public float getY() {
        return fY;
    }

    /**
     * フィールド [value] の値を設定します。
     *
     * フィールドの説明: [文字の値。]。
     *
     * @param argValue フィールド[value]に設定する値。
     */
    public void setValue(final String argValue) {
        fValue = argValue;
    }

    /**
     * フィールド [value] の値を取得します。
     *
     * フィールドの説明: [文字の値。]。
     *
     * @return フィールド[value]から取得した値。
     */
    public String getValue() {
        return fValue;
    }

    /**
     * フィールド [font] の値を設定します。
     *
     * フィールドの説明: [フォント名。]。
     *
     * @param argFont フィールド[font]に設定する値。
     */
    public void setFont(final String argFont) {
        fFont = argFont;
    }

    /**
     * フィールド [font] の値を取得します。
     *
     * フィールドの説明: [フォント名。]。
     * デフォルト: ["gothic"]。
     *
     * @return フィールド[font]から取得した値。
     */
    public String getFont() {
        return fFont;
    }

    /**
     * フィールド [fontSize] の値を設定します。
     *
     * フィールドの説明: [フォントサイズ。]。
     *
     * @param argFontSize フィールド[fontSize]に設定する値。
     */
    public void setFontSize(final int argFontSize) {
        fFontSize = argFontSize;
    }

    /**
     * フィールド [fontSize] の値を取得します。
     *
     * フィールドの説明: [フォントサイズ。]。
     * デフォルト: [12]。
     *
     * @return フィールド[fontSize]から取得した値。
     */
    public int getFontSize() {
        return fFontSize;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.pdf.form.valueobject.BlancoPdfFormTextDef[");
        buf.append("x=" + fX);
        buf.append(",y=" + fY);
        buf.append(",value=" + fValue);
        buf.append(",font=" + fFont);
        buf.append(",fontSize=" + fFontSize);
        buf.append("]");
        return buf.toString();
    }
}
